# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Define the installation file name
    bin_name = glob.glob('TheBrain*Installer.exe')[0]
    
    # Install the software
    install_exe_if_needed(bin_name,
                          silentflags='-q -overwrite',
                          key='',
                          min_version=control.get_software_version())


def uninstall():
    # Retrieve installed software with "TheBrain" in the name
    installed_thebrain_versions = [soft for soft in installed_softwares() if "TheBrain" in soft['name']]
    
    # Loop through installed versions to initiate uninstallation
    for soft in installed_thebrain_versions:
        key = soft["key"]
        uninstall_string = soft["uninstall_string"]
        
        if uninstall_string:
            print(f"Uninstalling TheBrain with key {key}")
            run(uninstall_string + " /quiet /norestart")
        else:
            print(f"Key {key} has no uninstall string. Nothing to uninstall for this key.")